This topic contains 4 replies, has 3 voices, and was last updated by Jai Jai 14 hours, 15 minutes ago.

problems with a new installations. Giving a lot of flags


  • ksistrunk
    Participant

    Posts: 1
    Member Reply #13250

    Hi guys,

    I am installing on a windows 10 system and look at some of these errors:

    ————————————————————————————————————————–

    metronic\angular\tools>npm install -g bower

    npm WARN deprecated bower@1.8.2: …psst! Your project can stop working at any moment because its dependencies can change. Prevent this by migrating to Yarn: https://bower.io/blog/2017/how-to-migrate-away-from-bower/

    —————————————————————————————————————————

    \metronic\angular\tools>npm install

    npm WARN deprecated minimatch@0.2.14: Please update to minimatch 3.0.2 or higher to avoid a RegExp DoS issue

    npm WARN deprecated graceful-fs@3.0.11: please upgrade to graceful-fs 4 for compatibility with current and future versions of Node.js

    npm WARN deprecated coffee-script@1.12.7: CoffeeScript on NPM has moved to “coffeescript” (no hyphen)

    npm WARN deprecated minimatch@2.0.10: Please update to minimatch 3.0.2 or higher to avoid a RegExp DoS issue

    npm WARN deprecated graceful-fs@1.2.3: please upgrade to graceful-fs 4 for compatibility with current and future versions of Node.js

    ——————————————————————————————————————————

    \metronic\angular\tools\node_modules\node-sass\vendor\win32-x64-57\binding.node

    Testing binary

    Binary is fine

    npm notice created a lockfile as package-lock.json. You should commit this file.

    npm WARN metronic-v5.0@5.0.0 No description

    ——————————————————————————————————————————-

    \metronic\angular\tools>gulp –prod

    [23:56:29] Using gulpfile ~\Desktop\programming\metronic\angular\tools\gulpfile.js

    [23:56:29] Starting ‘clean’…

    [23:56:30] Finished ‘clean’ after 623 ms

    [23:56:30] Starting ‘default’…

    [23:56:30] Starting ‘build-bundle’…

    [23:56:30] Finished ‘build-bundle’ after 160 ms

    [23:56:30] Finished ‘default’ after 164 ms

    Error in plugin ‘sass’

    Message:

    ..\src\sass\framework\vendors\bootstrap\bootstrap.scss

    Error: File to import not found or unreadable: ../../../../../tools/bower_components/bootstrap/scss/bootstrap.

    Parent style sheet: C:/Users/ksist/Desktop/programming/metronic/angular/src/sass/framework/vendors/bootstrap/bootstrap.scss

    on line 13 of ../src/sass/framework/vendors/bootstrap/bootstrap.scss

    >> @import “../../../../../tools/bower_components/bootstrap/scss/bootstrap”;

    ^

     

    Error in plugin ‘sass’

    Message:

    ..\src\sass\framework\vendors\bootstrap\bootstrap.scss

    Error: File to import not found or unreadable: ../../../../../tools/bower_components/bootstrap/scss/bootstrap.

    Parent style sheet: C:/Users/ksist/Desktop/programming/metronic/angular/src/sass/framework/vendors/bootstrap/bootstrap.scss

    on line 13 of ../src/sass/framework/vendors/bootstrap/bootstrap.scss

    >> @import “../../../../../tools/bower_components/bootstrap/scss/bootstrap”;

    ^

     

    Error in plugin ‘sass’

    Message:

    ..\src\sass\framework\vendors\bootstrap\bootstrap.scss

    Error: File to import not found or unreadable: ../../../../../tools/bower_components/bootstrap/scss/bootstrap.

    Parent style sheet: C:/Users/ksist/Desktop/programming/metronic/angular/src/sass/framework/vendors/bootstrap/bootstrap.scss

    on line 13 of ../src/sass/framework/vendors/bootstrap/bootstrap.scss

    >> @import “../../../../../tools/bower_components/bootstrap/scss/bootstrap”;

    ^

     

    Error in plugin ‘sass’

    Message:

    ..\src\sass\framework\vendors\bootstrap\bootstrap.scss

    Error: File to import not found or unreadable: ../../../../../tools/bower_components/bootstrap/scss/bootstrap.

    Parent style sheet: C:/Users/ksist/Desktop/programming/metronic/angular/src/sass/framework/vendors/bootstrap/bootstrap.scss

    on line 13 of ../src/sass/framework/vendors/bootstrap/bootstrap.scss

    >> @import “../../../../../tools/bower_components/bootstrap/scss/bootstrap”;

    ^

     

    Error in plugin ‘sass’

    Message:

    ..\src\sass\framework\vendors\bootstrap\bootstrap.scss

    Error: File to import not found or unreadable: ../../../../../tools/bower_components/bootstrap/scss/bootstrap.

    Parent style sheet: C:/Users/ksist/Desktop/programming/metronic/angular/src/sass/framework/vendors/bootstrap/bootstrap.scss

    on line 13 of ../src/sass/framework/vendors/bootstrap/bootstrap.scss

    >> @import “../../../../../tools/bower_components/bootstrap/scss/bootstrap”;

    ^

     

    Error in plugin ‘sass’

    Message:

    ..\src\sass\framework\vendors\bootstrap\bootstrap.scss

    Error: File to import not found or unreadable: ../../../../../tools/bower_components/bootstrap/scss/bootstrap.

    Parent style sheet: C:/Users/ksist/Desktop/programming/metronic/angular/src/sass/framework/vendors/bootstrap/bootstrap.scss

    on line 13 of ../src/sass/framework/vendors/bootstrap/bootstrap.scss

    >> @import “../../../../../tools/bower_components/bootstrap/scss/bootstrap”;

    ^

    ——–d


    ksistrunk
    Participant

    Posts: 1
    Member Reply #13251

    Not sure what happened.  I installed it exactly as you specified in the instructions.

    Jai
    Jai
    Keymaster

    Posts: 684
    Support Staff Reply #13285

    Hi 🙂

    Can you check if the bower_components directory exist?

    In the meantime, we are doing package manager migrations from bower to yarn, which will be released in the next updates.

    Thanks


    JimOQuinn
    Participant

    Posts: 75
    Member Reply #13315

    Are you really switching off bower to yarn?

    Don’t think I can chase you guys around much longer.  Already started integrating components from v4.7.5 back into v5 because several that were important to us are missing.  Because of the changes in the last release we retooled our build process and our left-aside color changes had to be redone.  Largely due to the source tree which was rearranged and now I’m not sure what to expect with the conversion to yarn.

     

     

    Jai
    Jai
    Keymaster

    Posts: 684
    Support Staff Reply #13326

    Hi 🙂

    In the next v5.0.6, we will use yarn and the bower will be removed. which will be released soon.

    Thanks

You must be logged in to reply to this topic.